org.apache.hadoop.hdfs.web.resources

## Class UserProvider

- java.lang.Object
- - com.sun.jersey.server.impl.inject.AbstractHttpContextInjectable<org.apache.hadoop.security.UserGroupInformation>
  - - org.apache.hadoop.hdfs.web.resources.UserProvider

- All Implemented Interfaces:
    com.sun.jersey.spi.inject.Injectable<org.apache.hadoop.security.UserGroupInformation>, com.sun.jersey.spi.inject.InjectableProvider<javax.ws.rs.core.Context,Type>

      @Provider
      public class UserProvider
      extends com.sun.jersey.server.impl.inject.AbstractHttpContextInjectable<org.apache.hadoop.security.UserGroupInformation>
      implements com.sun.jersey.spi.inject.InjectableProvider<javax.ws.rs.core.Context,Type>

  Inject user information to http operations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.sun.jersey.spi.inject.Injectable<org.apache.hadoop.security.UserGroupInformation>` | `getInjectable(com.sun.jersey.core.spi.component.ComponentContext componentContext, javax.ws.rs.core.Context context, Type type)`
    `com.sun.jersey.core.spi.component.ComponentScope` | `getScope()`
    `org.apache.hadoop.security.UserGroupInformation` | `getValue(com.sun.jersey.api.core.HttpContext context)`

    - ### Methods inherited from class com.sun.jersey.server.impl.inject.AbstractHttpContextInjectable

      `getValue, transform, transform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserProvider

          public UserProvider()

  - ### Method Detail

    - #### getValue

          public org.apache.hadoop.security.UserGroupInformation getValue(com.sun.jersey.api.core.HttpContext context)

      Specified by:
        `getValue` in class `com.sun.jersey.server.impl.inject.AbstractHttpContextInjectable<org.apache.hadoop.security.UserGroupInformation>`

    - #### getScope

          public com.sun.jersey.core.spi.component.ComponentScope getScope()

      Specified by:
        `getScope` in interface `com.sun.jersey.spi.inject.InjectableProvider<javax.ws.rs.core.Context,Type>`

    - #### getInjectable

          public com.sun.jersey.spi.inject.Injectable<org.apache.hadoop.security.UserGroupInformation> getInjectable(com.sun.jersey.core.spi.component.ComponentContext componentContext,
                                                                                                                     javax.ws.rs.core.Context context,
                                                                                                                     Type type)

      Specified by:
        `getInjectable` in interface `com.sun.jersey.spi.inject.InjectableProvider<javax.ws.rs.core.Context,Type>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.